org.apache.myfaces.trinidad.component

## Class UIXColumn

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXColumn

- All Implemented Interfaces:
    javax.faces.component.StateHolder
  Direct Known Subclasses:
    CoreColumn

      public class UIXColumn
      extends UIXComponentBase

  This is base abstraction for column.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change events might include the width of a column that supported client-side resizing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static String` | `FOOTER_FACET`
    `static String` | `HEADER_FACET`
    `static PropertyKey` | `SORT_PROPERTY_KEY`
    `static FacesBean.Type` | `TYPE`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `UIXColumn()` Construct an instance of the UIXColumn.
    `protected` | `UIXColumn(String rendererType)` Construct an instance of the UIXColumn.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FacesBean.Type` | `getBeanType()`
    `String` | `getFamily()`
    `javax.faces.component.UIComponent` | `getFooter()` the node to render as this column's footer.
    `javax.faces.component.UIComponent` | `getHeader()` the node to use to render this column's header.
    `String` | `getSortProperty()` Gets The property that is displayed by this Column.
    `void` | `processDecodes(javax.faces.context.FacesContext context)` Does not process the facets of this column.
    `void` | `processUpdates(javax.faces.context.FacesContext context)` Does not process the facets of this column.
    `void` | `processValidators(javax.faces.context.FacesContext context)` Does not process the facets of this column.
    `void` | `setFooter(javax.faces.component.UIComponent footerFacet)` the node to render as this column's footer.
    `void` | `setHeader(javax.faces.component.UIComponent headerFacet)` the node to use to render this column's header.
    `void` | `setSortProperty(String sortProperty)` Sets The property that is displayed by this Column.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getParent, getProperty, getPropertyKey, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, queueEvent, removeAttributeChangeListener, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setValueBinding, setValueExpression, toString, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, clearCachedClientIds, clearCachedClientIds, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### SORT_PROPERTY_KEY

          public static final PropertyKey SORT_PROPERTY_KEY

    - #### HEADER_FACET

          public static final String HEADER_FACET

      See Also:
        Constant Field Values

    - #### FOOTER_FACET

          public static final String FOOTER_FACET

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIXColumn

          public UIXColumn()

      Construct an instance of the UIXColumn.

    - #### UIXColumn

          protected UIXColumn(String rendererType)

      Construct an instance of the UIXColumn.

  - ### Method Detail

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext context)

      Does not process the facets of this column. Only this column and its children are processed.
      Overrides:
        `processDecodes` in class `UIXComponentBase`

    - #### processValidators

          public void processValidators(javax.faces.context.FacesContext context)

      Does not process the facets of this column. Only this column and its children are processed.
      Overrides:
        `processValidators` in class `UIXComponentBase`

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext context)

      Does not process the facets of this column. Only this column and its children are processed.
      Overrides:
        `processUpdates` in class `UIXComponentBase`

    - #### getHeader

          public final javax.faces.component.UIComponent getHeader()

      the node to use to render this column's header.

    - #### setHeader

          public final void setHeader(javax.faces.component.UIComponent headerFacet)

      the node to use to render this column's header.

    - #### getFooter

          public final javax.faces.component.UIComponent getFooter()

      the node to render as this column's footer.

    - #### setFooter

          public final void setFooter(javax.faces.component.UIComponent footerFacet)

      the node to render as this column's footer.

    - #### getSortProperty

          public final String getSortProperty()

      Gets The property that is displayed by this Column. This is the property that the framework might use to (for example) sort the Table's data.
      Returns:
        the new sortProperty value

    - #### setSortProperty

          public final void setSortProperty(String sortProperty)

      Sets The property that is displayed by this Column. This is the property that the framework might use to (for example) sort the Table's data.
      Parameters:
        `sortProperty` - the new sortProperty value

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `UIXComponentBase`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXComponentBase`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.